#version 330
//input values from shader
in vec3 position;  //vertex position in local space
in vec2 uv;        //vertex uv-coords

//output values
out vec2 fragmentUV;

//constant values
uniform mat4 modelMatrix;

void main() {

// uv coords
fragmentUV = uv;
//output position
gl_Position = modelMatrix * vec4(position, 1);
}