#version 330

//input values form shader
in vec2 fragmentUV;

//output values
layout(location = 0) out vec4 fragColor;

//constant values
uniform sampler2D colorTexture;

void main() {

// material
vec3 diffusePart = texture2D( colorTexture, fragmentUV ).rgb;
vec3 T = vec3(0.3,0.3,0.3);

fragColor = vec4((diffusePart*7)/17 +
(texture2D( colorTexture, fragmentUV + vec2(1.0f,0.0f)).rgb*4)/17 +
(texture2D( colorTexture, fragmentUV + vec2(-1.0f,0.0f)).rgb*4)/17 +
texture2D( colorTexture, fragmentUV + vec2(2.0f,0.0f)).rgb/17 +
texture2D( colorTexture, fragmentUV + vec2(-2.0f,0.0f)).rgb/17, 1.0);
//fragColor = vec4(vec3(max(diffusePart.x - T.x, 0.0),max(diffusePart.y - T.y, 0.0),max(diffusePart.z - T.z, 0.0)), 1.0);


}
