#version 330

// Input vertex data, different for all executions of this shader.
layout(location = 0) in vec3 position;

// Values that stay constant for the whole mesh.
uniform mat4 modelMatrix;
uniform mat4 depthMVP;
uniform mat4 projectionMatrix;

void main(){
//gl_Position = projectionMatrix * depthView * modelMatrix * vec4(position, 1);
gl_Position = depthMVP * modelMatrix * vec4(position, 1);
}
